import { WINTER_STORAGE_APPLICATIONS } from '../__generated__/WINTER_STORAGE_APPLICATIONS';
import { ApplicationStatus, WinterStorageApplicationAreaType } from '../../../@types/__generated__/globalTypes';

export const winterStorageApplicationMockData: WINTER_STORAGE_APPLICATIONS = {
  winterStorageApplications: {
    count: 83,
    edges: [
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZTox',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T10:54:21.746387+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '3',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: [
            {
              priority: 1,
              winterStorageAreaName: 'Iso-Sarvasto',
              winterStorageArea: null,
              __typename: 'WinterStorageAreaChoiceType',
            },
            {
              priority: 2,
              winterStorageAreaName: 'Rajasaari',
              winterStorageArea: null,
              __typename: 'WinterStorageAreaChoiceType',
            },
          ],
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZToy',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T12:30:10.157726+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '4',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: [
            {
              priority: 1,
              winterStorageAreaName: 'Iso-Sarvasto',
              winterStorageArea: null,
              __typename: 'WinterStorageAreaChoiceType',
            },
          ],
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZToz',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T12:30:27.609740+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '4',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: [
            {
              priority: 1,
              winterStorageAreaName: 'Iso-Sarvasto',
              winterStorageArea: null,
              __typename: 'WinterStorageAreaChoiceType',
            },
          ],
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZTo1',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T13:07:28.521970+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZTo2',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T13:08:28.383257+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZTo3',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T13:08:38.133569+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZTo4',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T13:09:44.953722+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZTo5',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T13:09:56.820368+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZToxMA==',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-06T13:12:02.766890+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
      {
        node: {
          id: 'V2ludGVyU3RvcmFnZUFwcGxpY2F0aW9uTm9kZToxMQ==',
          status: ApplicationStatus.PENDING,
          createdAt: '2019-05-07T18:29:18.066260+00:00',
          municipality: 'helsinki',
          customer: null,
          firstName: 'Testi',
          lastName: 'Testinen',
          boatType: '1',
          boatRegistrationNumber: 'test',
          boatWidth: 1,
          boatLength: 1,
          boatName: 'test',
          boatModel: 'test',
          areaType: WinterStorageApplicationAreaType.MARKED,
          winterStorageAreaChoices: null,
          __typename: 'WinterStorageApplicationNode',
        },
        __typename: 'WinterStorageApplicationNodeEdge',
      },
    ],
    __typename: 'WinterStorageApplicationNodeConnection',
  },
  boatTypes: [
    {
      id: '1',
      name: 'Jollavene',
      __typename: 'BoatTypeType',
    },
    {
      id: '2',
      name: 'Soutuvene',
      __typename: 'BoatTypeType',
    },
    {
      id: '3',
      name: 'Perämoottorivene',
      __typename: 'BoatTypeType',
    },
    {
      id: '4',
      name: 'Sisäperämoottorivene',
      __typename: 'BoatTypeType',
    },
    {
      id: '5',
      name: 'Keskimoottorivene',
      __typename: 'BoatTypeType',
    },
    {
      id: '6',
      name: 'Purjevene / moottoripursi',
      __typename: 'BoatTypeType',
    },
    {
      id: '7',
      name: 'Troolari',
      __typename: 'BoatTypeType',
    },
    {
      id: '8',
      name: 'Suuri alus (yli 20t)',
      __typename: 'BoatTypeType',
    },
  ],
};
